HEX(1)

NAME
hex - Hexadecimal and ASCII dump

SYNOPSIS
hex [ -o offset ] [ file ... ]

DESCRIPTION
Hex reads each file in sequence and produces a dump on the standard output in hexadecimal and ASCII. If no files are specified on the command line, hex checks to to be sure the standard input is not comming from a terminal before dumping from the standard input.

Input is dumped 16 bytes at a time. The program displays the offset from the begining of the file/input in hexadecimal, followed by the hexadecimal representations for the next 16 bytes of data, and their ASCII character representations. Non-printing characters are displayed as a period (".") in the ASCII section. Vertical bars delimit the ASCII section.

If multiple files are specified on the command line, each file's name is printed before its dump.

OPTIONS

-o offset
    start printing at byte position offset instead of at the begining of the data. Offset is rounded down to a multiple of 16.

SEE ALSO
od